Bug 616918 - RFE: Pre-select Yes for "Manual Autodiscovery" operation
Summary: RFE: Pre-select Yes for "Manual Autodiscovery" operation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Usability   
(Show other bugs)
Version: 1.3.1
Hardware: All Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2010-07-21 18:08 UTC by Ondřej Žižka
Modified: 2011-05-24 01:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ondřej Žižka 2010-07-21 18:08:19 UTC
The Manual Autodiscovery op need me to click on Yes or No for the "Detailed discovery" option. This is quite annoying... could it be pre-selected to whatever choice makes more sense for typical user's scenario?  (I personally always choose Yes).

Thx

Comment 1 Corey Welton 2010-09-28 12:26:22 UTC
mazz: this should take 5 minutes to fix, no?

Comment 2 John Mazzitelli 2010-09-28 12:36:59 UTC
added a default value of "true" to the plugin descriptor (default="true" required="true")

git commit: 64abb7e08a090c0c44bdc64b31bb56adfdeb2805

diff --git a/modules/plugins/platform/src/main/resources/META-INF/rhq-plugin.xml b/modules/plugins/platform/src/main/resources/META-INF/rhq-plugin.xml
index 22f4cb1..5a4a8a7 100644
--- a/modules/plugins/platform/src/main/resources/META-INF/rhq-plugin.xml
+++ b/modules/plugins/platform/src/main/resources/META-INF/rhq-plugin.xml
@@ -11,7 +11,7 @@
  <!ENTITY platformOperations '
       <operation name="discovery" displayName="Manual Autodiscovery" description="Run an immediate discovery to search for resources">
          <parameters>
-            <c:simple-property name="detailedDiscovery" description="If true, search for detailed child resources in addition to parent servers." type="boolean"/>
+            <c:simple-property name="detailedDiscovery" description="If true, search for detailed child resources in addition to parent servers." type="boolean" default="true" required="true"/>
          </parameters>

Comment 3 Sunil Kondkar 2010-10-20 11:54:14 UTC
Verified on RHQ build#423

Navigated to Operations tab of the platform, selected 'Manual Autodiscovery' from the drop down 'Run Operation'.
The 'Detailed Discovery' option displays the 'Yes' option selected by default.

Comment 4 Corey Welton 2011-05-24 01:16:31 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 5 Corey Welton 2011-05-24 01:16:39 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 6 Corey Welton 2011-05-24 01:16:39 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 7 Corey Welton 2011-05-24 01:16:44 UTC
Bookkeeping - closing bug - fixed in recent release.


Note You need to log in before you can comment on or make changes to this bug.